summaryrefslogtreecommitdiff
path: root/dev-python/rsa
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-11 00:39:07 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-11 00:39:07 +0000
commitf377c490000d162d4cecd8c01e8f9760f690afc4 (patch)
treed19c9396605409506cb2a2e1290257df452f9a14 /dev-python/rsa
parenteb17417f2b41568c9154d1665b2d60fc8c3f871d (diff)
downloadbaldeagleos-repo-f377c490000d162d4cecd8c01e8f9760f690afc4.tar.gz
baldeagleos-repo-f377c490000d162d4cecd8c01e8f9760f690afc4.tar.xz
baldeagleos-repo-f377c490000d162d4cecd8c01e8f9760f690afc4.zip
Updating liguros repo
Diffstat (limited to 'dev-python/rsa')
-rw-r--r--dev-python/rsa/Manifest1
-rw-r--r--dev-python/rsa/rsa-4.7.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/rsa/Manifest b/dev-python/rsa/Manifest
index acb17cff5e28..44570901a0f8 100644
--- a/dev-python/rsa/Manifest
+++ b/dev-python/rsa/Manifest
@@ -1 +1,2 @@
DIST python-rsa-version-4.2.gh.tar.gz 63280 BLAKE2B 1260fe2a0f34c16b3cd2e18bc642da2e9c6caad851920a4c010aaad31959d0baab397356cd2437eb4a9091b3f524760f45b8d46ff9a207be009b2613615681c1 SHA512 a4df2de41d252a42627e96298b044a50953c429b5062f02cc7b64a7e17f75b09bb8b0f9b371353e639d1daec7775c20f20348f45baf00f591514c54e1315f044
+DIST python-rsa-version-4.7.gh.tar.gz 64870 BLAKE2B 1e8c8c1a2c4261fdfacf5c83a76b0828dd2fabd26c0a76c0d39e7043a3005058e74a50c1d8f6ed705f5a47ab5d7c077587061ff097cad87424a2e82a8b478b3f SHA512 a88c8f04860e8babe762eb70e6096c55fbb4bbde43525564ecc719f5e6c56fdb65fa7b82a907c6de529a8effea26b1f6f8ffa3440dab99bff97664f7ce5fe31a
diff --git a/dev-python/rsa/rsa-4.7.ebuild b/dev-python/rsa/rsa-4.7.ebuild
new file mode 100644
index 000000000000..21dbd9cb6042
--- /dev/null
+++ b/dev-python/rsa/rsa-4.7.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+MY_P=python-rsa-version-${PV}
+DESCRIPTION="Pure-Python RSA implementation"
+HOMEPAGE="
+ https://stuvel.eu/rsa/
+ https://pypi.org/project/rsa/"
+SRC_URI="
+ https://github.com/sybrenstuvel/python-rsa/archive/version-${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/pyasn1-0.1.3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( dev-python/mock[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ rm tests/test_mypy.py || die
+ distutils-r1_src_prepare
+}